Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.sg.remote
Class ServiceGroupClient

    java.lang.Object
      org.apache.muse.core.AbstractResourceClient
          org.apache.muse.ws.resource.remote.WsResourceClient
              org.apache.muse.ws.resource.sg.remote.ServiceGroupClient

All Implemented Interfaces:
  SoapMonitor

public class ServiceGroupClient
extends WsResourceClient

ServiceGroupClient is a WSRF-based web services client that provides an implementation of the (optional) wsrf-sg:Add operation as well as a few convenience methods that make reading through service groups easier.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`ServiceGroupClient(EndpointReference destination)`
`ServiceGroupClient(EndpointReference destination, EndpointReference source)`
`ServiceGroupClient(EndpointReference destination, EndpointReference source, Environment environment)`
`ServiceGroupClient(EndpointReference destination, EndpointReference source, SoapClient soapClient)`

Method Summary
`WsResourceClient` | `add(EndpointReference memberEPR, java.util.Date termination)` Invokes the wsrf-sg:Add operation with an empty wsrf-sg:Content parameter.
`WsResourceClient` | `add(EndpointReference memberEPR, java.util.Date termination, org.w3c.dom.Element content)`
`WsResourceClient[]` | `getMembers()`
`boolean` | `isMatch(EndpointReference epr)`

Methods inherited from class org.apache.muse.ws.resource.remote.WsResourceClient
`deleteResourceProperty, destroy, getMultipleResourceProperties, getPropertyAsObject, getResourceProperty, getResourcePropertyDocument, insertResourceProperty, putResourcePropertyDocument, queryResourceProperties, setResourceProperties, setTerminationTime, updateResourceProperty`

Methods inherited from class org.apache.muse.core.AbstractResourceClient
`getDestination, getEndpointReference, getSoapClient, getSoapMonitorPort, getSource, getTraceWriter, invoke, invoke, invoke, invoke, isUsingSoapMonitor, isUsingTrace, setTrace, setTraceWriter, startSoapMonitor, stopSoapMonitor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceGroupClient

    public ServiceGroupClient(EndpointReference destination)

### ServiceGroupClient

    public ServiceGroupClient(EndpointReference destination,
                              EndpointReference source)

### ServiceGroupClient

    public ServiceGroupClient(EndpointReference destination,
                              EndpointReference source,
                              Environment environment)

### ServiceGroupClient

    public ServiceGroupClient(EndpointReference destination,
                              EndpointReference source,
                              SoapClient soapClient)

Method Detail

### add

    public WsResourceClient add(EndpointReference memberEPR,
                                java.util.Date termination)
                         throws SoapFault

  Invokes the wsrf-sg:Add operation with an empty wsrf-sg:Content parameter.

  Throws:
    `SoapFault`

### add

    public WsResourceClient add(EndpointReference memberEPR,
                                java.util.Date termination,
                                org.w3c.dom.Element content)
                         throws SoapFault

  Throws:
    `SoapFault`

### getMembers

    public WsResourceClient[] getMembers()
                                  throws SoapFault

  Returns:
    An array of clients pointing to the member EPRs that are currently in the service group. The array may be empty. The clients in the array can be used immediately in order to communicate with the resources in the service group.
  Throws:
    `SoapFault`

### isMatch

    public boolean isMatch(EndpointReference epr)
                    throws SoapFault

  Parameters:
    `epr` - The EPR of a resource that may or may not fit the content rules of the service group.
  Returns:
    True if the resource at the given EPR meets the restrictions of this service group's membership content rules.
  Throws:
    `SoapFault`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD